پرداختهای حساب
GET https://uptimer24.com/api/payments/
curl --request GET \
--url 'https://uptimer24.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimer24.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| processor | اختیاری رشته | مقادیر مجاز: paypal, stripe, offline_payment, payu, iyzico, paystack, razorpay, mollie, yookassa, crypto_com, paddle, paddle_billing, mercadopago, midtrans, flutterwave, lemonsqueezy, myfatoorah, klarna, plisio, revolut |
| status | اختیاری رشته | مقادیر مجاز: paid, pending, cancelled, refunded |
| type | اختیاری رشته | مقادیر مجاز: one_time, recurring |
| frequency | اختیاری رشته | مقادیر مجاز: monthly, quarterly, biannual, annual, lifetime |
| datetime_field | اختیاری رشته | مقادیر مجاز: datetime |
| datetime_start | اختیاری رشته | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | اختیاری رشته | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | اختیاری رشته | چه فیلدی برای مرتبسازی نتایج استفاده شود. مقادیر مجاز عبارتند از: id, datetime, total_amount. |
| order_type | اختیاری رشته | ترتیب نتایج. مقادیر مجاز عبارتند از: ASC برای ترتیب صعودی، و DESC برای ترتیب نزولی. |
| page | اختیاری عدد صحیح | شماره صفحهای که میخواهید نتایج از آن شروع شود. به طور پیشفرض 1 است. |
| results_per_page | اختیاری عدد صحیح | چند نتیجه در هر صفحه میخواهید. مقادیر مجاز عبارتند از: 10, 25, 50, 100, 250, 500, 1000. به طور پیشفرض 25 است. |
{
"data": [
{
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "[email protected]",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": "2026-07-19 04:10:16",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://uptimer24.com/api/payments?page=1",
"last": "https://uptimer24.com/api/payments?page=1",
"next": null,
"prev": null,
"self": "https://uptimer24.com/api/payments?page=1"
}
}
GET https://uptimer24.com/api/payments/{payment_id}
curl --request GET \
--url 'https://uptimer24.com/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimer24.com/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "[email protected]",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": "2026-07-19 04:10:16",
}
}